import { ActivityRecognizer } from "./recognizers";
export declare enum Resolution {
    LOW = "low",
    MEDIUM = "medium",
    HIGH = "high"
}
export declare function getActivityRecognizer(resolution: Resolution): ActivityRecognizer;
export * from "./recognizers";
export { HumanActivity } from "./human-activity";
import { ActivityChange as AC } from "./activity-change";
export declare type ActivityChange = AC;
export { Transition } from "./activity-change";
