import { Options as O, Location } from "@nativescript/geolocation";
export declare type Options = O;
export { Location };
import { CoreTypes } from "@nativescript/core";
export declare const Accuracy: typeof CoreTypes.Accuracy;
export declare class GeolocationAdapter {
    isReady(): Promise<boolean>;
    prepare(always?: boolean, openSettingsIfDenied?: boolean): Promise<void>;
    acquireLocation(options: Options): Promise<Location>;
    listenChanges(onChange: (location: Location) => void, onError: (error: Error) => void, options: Options): number;
    stopListening(watchId: number): void;
}
